<?php
/**
 * $Source: /home/cvs/nukescripts/admin/case/casedatabase.php,v $
 * $Revision: 1.0.1-1a $
 * $Author: cyril $
 * $Date: 2006/08/29 11:08:34 $
 * Fix Bug 156
 *
 */
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
if (!defined('ADMIN_ALLOW') && !defined('ADMIN_MAX')) {
	die ("Access Denied");
}
switch($op) {

    case 'database':
    case 'BackupDB':
    case 'Backup_Instant':
    case 'OptimizeDB':
    case 'CheckDB':
    case 'AnalyzeDB':
    case 'RepairDB':
    case 'StatusDB':
    case 'RestoreDB':
    case 'BackupDBgz':
    case 'BackupDBgz_file':
    case 'BackupFilegz_file':
    case 'ListingDB':
    case 'OptimizeDB':
    case 'DeleteBackupDB':
    case 'DeleteBackupFiles':
    case 'mysqltap':
    case 'mtshowtable':
    case 'mtbrowse':
    case 'mtoptimize':
    case 'mtrepair':
    case 'SubmitSQL':
    case 'mtsqlimport':
    case 'editor_table':
    case 'SaveTable':
    if (is_file('admin/modules/database.php')) {
    include_once('admin/modules/database.php');}
    break;

}